#include "wielomian.h"
#include "punkt.h"

#ifndef LINIA_H
#define LINIA_H

class Linia : public Wielomian
{
public:
	Linia(double a=0, double b=0);
	Linia(Punkt x1,Punkt x2);

	double MiejsceZerowe() const;
	Punkt PunktPrzeciecia(const Linia &l)  const;
	Linia Prostopadla(double x) ;             // linia prostopadla przecinajaca dana linie w punkcie x
	Linia Prostopadla(Punkt x) const;              // linia prostopadla przechodzaca przez punkt x
	// Linia(const Linia &l);  konstruktor kopiujacy nie jest potrzebny
	// ~Linia();    destruktor nie jest potrzebny
    // przeciazenie operatora << nie jest potrzebne
};

#endif
